Name:		perl-Package-Stash
Version:	0.39
Release:	2
Summary:	Routines for manipulating stashes
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Package-Stash
Source0:	https://cpan.metacpan.org/modules/by-module/Package/Package-Stash-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils findutils make perl-generators perl-interpreter perl(Config) perl(DynaLoader) perl(Exporter) perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::Mksymlists) perl(File::Basename) perl(File::Spec::Functions) perl(File::Temp) perl(Text::ParseWords)
# Module Runtime
BuildRequires:	perl(B) perl(Carp) perl(constant) perl(Dist::CheckConflicts) >= 0.02 perl(Getopt::Long) perl(Module::Implementation) >= 0.06 perl(Package::Stash::XS) >= 0.26
BuildRequires:	perl(Scalar::Util) perl(strict) perl(Symbol) perl(warnings)
# Test Suite
BuildRequires:	perl(base) perl(CPAN::Meta::Check) >= 0.011 perl(CPAN::Meta::Requirements) perl(File::Spec) perl(lib) perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.88 perl(Test::Needs)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# For performance and consistency
Requires:	perl(Package::Stash::XS) >= 0.26
# Not found by rpm auto-provides
Provides:	perl(Package::Stash::Conflicts) = 0
Provides:	perl(Package::Stash)

%description
Manipulating stashes (Perl's symbol tables) is occasionally necessary, but
incredibly messy, and easy to get wrong. This module hides all of that behind
a simple API.

%prep
%setup -q -n Package-Stash-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes CONTRIBUTING README
%{_bindir}/package-stash-conflicts
%{perl_vendorlib}/Package/
%{_mandir}/man3/Package::Stash.3*
%{_mandir}/man3/Package::Stash::PP.3*

%changelog
* Tue Sep 20 2022 misaka00251 <misaka00251@misakanet.cn> - 0.39-2
- Fix provides not found by rpm auto-provides issue.

* Wed Dec 29 2021 lipanpan <lipanpana@uniontech.com> - 0.39-1
- package init
